Not Solved Upgrade 1.8.7 to 1.8.8: SQL Error
#1
Not Solved
Trying to upgrade from 1.8.7 to 1.8.8 (I'm upgrading through the releases to get up to date)

I get this, however:

MyBB has experienced an internal SQL error and cannot continue.

SQL Error: 1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups TEXT NOT NULL' at line 1 Query: ALTER TABLE mybb_attachtypes ADD groups TEXT NOT NULL

Seems SQL hates adding anything with the name "group" or "groups"?
Reply
#2
Not Solved
Hm, can you see if MySQL strict mode is enabled and disable it if it is? Surprised that hasn’t been accounted for already in the upgrade script.

Also, you don’t need to upgrade to each individual release one-by-one, you can upload the full 1.8.27 package and just choose your old version during the upgrade script.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#3
Not Solved
Just did the latter, seems to be OK now.
Reply
#4
Not Solved
(2021-10-10, 11:22 PM)Matt Wrote: Surprised that hasn’t been accounted for already in the upgrade script.
It has been fixed years ago but after the release of 1.8.8.
[Image: banner.png]
Reply
#5
Not Solved
(2021-10-11, 08:40 AM)StefanT Wrote:
(2021-10-10, 11:22 PM)Matt Wrote: Surprised that hasn’t been accounted for already in the upgrade script.
It has been fixed years ago but after the release of 1.8.8.

Ah, of course, would only be an issue if using the 1.8.8 package.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)